#!/bin/bash
basename='sample'
units='A,B,C'
cluster_threshold=10

echo 'Adding hydrogens...'
./addhydrogens.pl $basename $units

echo 'Creating pairwise predictions with LZerD'
date
./create_lzerd_decoys.pl $basename $units execute

echo 'Filtering pairwise predictions'
date
./multilzerd_sort_decoys.pl ./ $units 54000

echo 'Clustering pairwise predictions'
date
./multilzerd_pairwise_cluster.pl ./ $basename $units cluster $cluster_threshold allrmsd nosizes execute

rm *.out
rename s/cluster/out/ *.cluster

echo 'Multi-LZerD...'
date
./multilzerd --pdbid $basename --chains $units -o $basename --generations 200 --population 200 --clashes 300 --cluster $cluster_threshold --weights all


echo 'Creating PDB files for final decoys'
date
./multilzerd_create_pdb $basename.ga.out ./ 1 200 decoy

echo 'Refinement...'
date
./multilzerd_refine --input $basename.ga.out --trials 200 --prefix refined
